oracle.hadoop.balancer.examples.invindx

## Class InvertedIndexMapreduce

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - oracle.hadoop.balancer.examples.invindx.InvertedIndexMapreduce

- All Implemented Interfaces:
    org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

      public class InvertedIndexMapreduce
      extends org.apache.hadoop.conf.Configured
      implements org.apache.hadoop.util.Tool

  Inverted Index with Mapreduce API. It contains mapper class, reducer class and a driver.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InvertedIndexMapreduce.InvertedIndexMapper` Inverted Index mapper class for `TextInputFormat` and `FileSplit` This class uses the file name obtained from `FileSplit` as the location of the word, and the value of the LongWritable key of `TextInputFormat` as the offset of the word in that file.
    `static class` | `InvertedIndexMapreduce.InvertedIndexReducer` The inverted index reducer class for mapreduce API

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_SECONDARY_SORT`
    `static java.lang.String` | `PROPERTY_SECONDARY_SORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvertedIndexMapreduce()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `int` | `run(java.lang.String[] args)`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Field Detail

    - #### DEFAULT_SECONDARY_SORT

          public static final boolean DEFAULT_SECONDARY_SORT

      See Also:
        Constant Field Values

    - #### PROPERTY_SECONDARY_SORT

          public static final java.lang.String PROPERTY_SECONDARY_SORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InvertedIndexMapreduce

          public InvertedIndexMapreduce()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### run

          public int run(java.lang.String[] args)
                  throws java.lang.Exception

      Specified by:
        `run` in interface `org.apache.hadoop.util.Tool`
      Throws:
        `java.lang.Exception`

Copyright © 2013, 2016, Oracle and/or its affiliates. All rights reserved.